<div class="form-container">
    <form #noteForm="ngForm" (ngSubmit)="onSubmit(noteForm)">

        <div class="field">
            <label class="label">Title</label>
            <div class="control">
                <input type="text" name="title" [ngModel] ="note.title" required class="input">
            </div>
        </div>
        <div class="field">
            <label class="label">Body</label>
            <div class="control">
                <textarea class="textarea" name="body" [ngModel]="note.body"></textarea>
            </div>

        </div>

        <div class="field is-grouped is-pulled-right">
            <div class="control">
                <button class="button is-text" type="button" (click)="cancel()">Cancel</button>
            </div>
            <div class="control">
                <button class="button is-success" type="submit" [disabled]="!noteForm.valid">Save</button>
            </div>
        </div>

    </form>
</div>